Bug 157292 - Flip Switch with one window crashes kwin
Summary: Flip Switch with one window crashes kwin
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Martin Flöser
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-06 21:44 UTC by Tom Vollerthun
Modified: 2008-02-17 15:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Vollerthun 2008-02-06 21:44:33 UTC
Version:            (using Devel)
Installed from:    Compiled sources
Compiler:          gcc (GCC) 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2) 
OS:                Linux

Steps to reproduce:
- Have desktop effects enabled
- Have the "Flip Switch" and the "Box Switch" enabled
- Make sure there's only one window open
- Press Alt-Tab more than once
Comment 1 Tom Vollerthun 2008-02-06 21:51:24 UTC
Seems as if the crash does not necessarily occur - right now I can restore normal behavior with opening another window (p.e. alt-f2, type "konsole" blind) and pressing alt-tab again. After releasing the keys, the desktop goes back to normal with the correct window active.

I'll add a traceback once I can provoke a crash again.
Comment 2 Martin Flöser 2008-02-07 12:18:32 UTC
reason is animation is also started if there is only one window. It also occurs if only flipswitch is selected.
Comment 3 Martin Flöser 2008-02-07 12:22:02 UTC
SVN commit 771972 by graesslin:

Disable animation if there is only one window.
BUG: 157292

 M  +1 -1      flipswitch.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=771972
Comment 4 Tom Vollerthun 2008-02-17 15:05:40 UTC
I just read the commit digest and found you've fixed this already weeks ago - that's just great! Thank you - you rock!